#ifndef __COLLECT_H__
#define __COLLECT_H__

/*
   a simplistic way to manage collections for now... 
   probably replace with a fast splay tree implementation
   for production.
*/
   
typedef struct {
	/* all fields considered private... */
	void **ptr;
	int cnt, allocated, delta;
} Collection;

Collection *newCollection(int /*max*/, int /*delta*/);
void deleteCollection(Collection *);
int addCollectionItem(Collection *, void * /*item*/ );
void setCollectionItem(Collection *, int, void *);
void *getCollectionItem(Collection *, int /*index*/ );
int getCollectionCount(Collection *);

#endif
